> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/csgo/odds-data/single-match-odds.md).

# Single match odds

## Single match odds

> Return the odds change history of all odds companies in a single match,from the initial trading to the moment of requesting the interface (used as a supplement)\<br/>Request times:120 times/min\<br/>\<br/>Remarks:\<br/>The odds change data are all obtained in the real-time odds interface,and the real-time odds interface returns the odds data of all competitions in the last 60s,which needs to be recorded locally\<br/>If the odds data acquisition is missing or not acquired,check the gaps through the single match odds interface

```json
{"openapi":"3.0.1","info":{"title":"Gaming CSGO API","version":"1.0.250516"},"tags":[{"name":"ODDS DATA","description":"ODDS DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/csgo/odds/history":{"get":{"tags":["ODDS DATA"],"description":"Return the odds change history of all odds companies in a single match,from the initial trading to the moment of requesting the interface (used as a supplement)<br/>Request times:120 times/min<br/><br/>Remarks:<br/>The odds change data are all obtained in the real-time odds interface,and the real-time odds interface returns the odds data of all competitions in the last 60s,which needs to be recorded locally<br/>If the odds data acquisition is missing or not acquired,check the gaps through the single match odds interface","summary":"Single match odds","operationId":"getOddsHistory","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Match id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/OddsHistory"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"OddsHistory":{"type":"object","description":"Data details","properties":{"platform_id":{"type":"integer","description":"Company id, see status code -> Odds Company id  for details"},"plays":{"type":"array","description":"Odds type data","items":{"$ref":"#/deps/schemas/OddsHistoryPlay"}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"OddsHistoryPlay":{"type":"object","description":"Data details","properties":{"play_id":{"type":"integer","description":"Odds type id, see status code -> Odds Type  for details"},"boxes":{"type":"array","description":"Inning data","items":{"$ref":"#/deps/schemas/OddsHistoryPlayBox"}}}},"OddsHistoryPlayBox":{"type":"object","description":"Data details","properties":{"box_num":{"type":"integer","description":"Belonging (0 means the whole match, 1. First inning, 2. Second inning, and so on) "},"odds":{"type":"array","description":"Odds data","items":{"$ref":"#/deps/schemas/OddsHistoryPlayBoxOdds"}}}},"OddsHistoryPlayBoxOdds":{"type":"array","description":"Full volume change handicap data (positive order)<br/>example:[1598702998, 1.5, 0, 2.52, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Change time | Integer |\n| `1` | Home team wins | Float |\n| `2` | Handicap, 0 means no handicap | Integer |\n| `3` | Away team wins | Float |\n| `4` | Whether to seal the disk, 1. yes, 0. no | Integer |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/csgo/odds-data/single-match-odds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
